<?php
session_start();

  include_once("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("1")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }

    //fin validar session
  
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
   $id_cd =$_POST['listacd'];
    $busca =$_POST['campo']; 
    
    if  ($id_cd==0){$centro=""; }else {$centro="usuarios_ci_idusuarios_ci=$id_cd and";}
     if  ($busca=='0'){$nombre=""; }else {$nombre="ciudad LIKE  '%$busca%' and";}
	   
           $vef=0;
           $vdep=0;
		   $vtarj=0;
           $vns=0;
           $vas=0;
           $vreg=0;
           $vvou=0;
		   $ppag=0;
		   $preg=0;
		   $pvou=0;
		   $ctot=0;
		   $ptot=0;
		   $pasig=0;
           

  echo"<center><br>";

	    $q2 = "SELECT nombre, appat, apmat, tel1, tel2, tel, ciudad, sum(observaciones) as compras, rfc, inversionista.id_inver, teldist.wa as wa, inversionista.wa FROM `transacciones` join inversionista on transacciones.inversionista_id_inver=id_inver left join teldist on teldist.id_inver=inversionista.id_inver WHERE $centro $nombre fechat between '$fecha1' and '$fecha2' group by rfc
ORDER BY sum(observaciones)  DESC";
  

  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
 
  if(mysqli_affected_rows($conexion))
   {
  echo"<font size=\"+2\">Personas que compraron entre $fecha1 y $fecha2</font><br><br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
		<th>RFC</th><th>Id Dist</th><th>Nombre</th><th>Tel1</th><th>Tel2</th><th>Nvo</th><th>wa</th><th>Ciudad</th><th>Compras</th><th>wa</th>
		
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	 $a0 = $r1[0];
   
   
	 $a1 = $r1[1];
	 $a2 = $r1[2];
	 $a3 = $r1[3];
	 $a4 = $r1[4];
	 $a5 = $r1[5];
	 $a6 = $r1[6];
	 $a7 = $r1[7];
	 $a8 = $r1[8];
	 $a9 = $r1[9];
	 $a10 = $r1[10];$a11 = $r1[11];
	 $nombrecliente="$a0 $a1 $a2";
	 
	  
echo"<td>$a8</td><td>$a9</td><td>$nombrecliente</td><td>$a3</td><td>$a4</td><td>$a5</td><td>$a11</td><td>$a6</td><td>$a7</td><td>$a10</td></tr>
		  ";
	}echo"</table><br><br>";
                                             }
	
     ?>